package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.MsgSendQueueMapper;
import com.sa.ibiz.demo.demo.domain.MsgSendQueue;
import com.sa.ibiz.demo.demo.service.MsgSendQueueService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.MsgSendQueueSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[MsgSendQueue] 服务对象接口实现
 */
@Service
public class MsgSendQueueServiceImpl extends ServiceImplBase<MsgSendQueueMapper, MsgSendQueue> implements MsgSendQueueService{


    @Resource
    private MsgSendQueueMapper msgsendqueueMapper;


    @Override
    public boolean create(MsgSendQueue et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(MsgSendQueue et){
        this.beforeUpdate(et);
		this.msgsendqueueMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(MsgSendQueue et){
		return et.getMsgsendqueueid();  
    }

    @Override
    public boolean getDraft(MsgSendQueue et)  {
            return true;
    }

	public List<MsgSendQueue> listDefault(MsgSendQueueSearchFilter filter) {
		return msgsendqueueMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<MsgSendQueue> searchDefault(MsgSendQueueSearchFilter filter) {
		return msgsendqueueMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return msgsendqueueMapper.selectRow(sql);
    }

 }